glibmm 2.56.0

Public Member Functions | Protected Attributes | List of all members
Gio::FileAttributeInfo Class Reference

Information about a specific attribute - see FileAttributeInfoList. More...

`#include <giomm/fileattributeinfo.h>`

## Public Member Functions
| FileAttributeInfo (const GFileAttributeInfo* ginfo)
| FileAttributeInfo (const FileAttributeInfo& other)
FileAttributeInfo& | operator= (const FileAttributeInfo& other)
| FileAttributeInfo (FileAttributeInfo&& other) noexcept
FileAttributeInfo& | operator= (FileAttributeInfo&& other) noexcept
| ~FileAttributeInfo ()
std::string | get_name () const
FileAttributeType | get_type () const
FileAttributeInfoFlags | get_flags () const

## Protected Attributes
std::string | m_name
FileAttributeType | m_type
FileAttributeInfoFlags | m_flags

## Detailed Description

Information about a specific attribute - see FileAttributeInfoList.

Since glibmm 2.16:

## Constructor & Destructor Documentation

## ◆ FileAttributeInfo() [1/3]

Gio::FileAttributeInfo::FileAttributeInfo | ( | const GFileAttributeInfo * | ginfo | ) |
| explicit

## ◆ FileAttributeInfo() [2/3]

Gio::FileAttributeInfo::FileAttributeInfo | ( | const FileAttributeInfo& | other | ) |

## ◆ FileAttributeInfo() [3/3]

Gio::FileAttributeInfo::FileAttributeInfo | ( | FileAttributeInfo&& | other | ) |
| noexcept

## ◆ ~FileAttributeInfo()

Gio::FileAttributeInfo::~FileAttributeInfo | ( |  | ) |

## Member Function Documentation

## ◆ get_flags()

FileAttributeInfoFlags Gio::FileAttributeInfo::get_flags | ( |  | ) | const

## ◆ get_name()

std::string Gio::FileAttributeInfo::get_name | ( |  | ) | const

## ◆ get_type()

FileAttributeType Gio::FileAttributeInfo::get_type | ( |  | ) | const

## ◆ operator=() [1/2]

FileAttributeInfo& Gio::FileAttributeInfo::operator= | ( | const FileAttributeInfo& | other | ) |

## ◆ operator=() [2/2]

FileAttributeInfo& Gio::FileAttributeInfo::operator= | ( | FileAttributeInfo&& | other | ) |
| noexcept

## Member Data Documentation

## ◆ m_flags

FileAttributeInfoFlags Gio::FileAttributeInfo::m_flags
| protected

## ◆ m_name

std::string Gio::FileAttributeInfo::m_name
| protected

## ◆ m_type

FileAttributeType Gio::FileAttributeInfo::m_type
| protected